/*
Version 0.999
*/

#ifndef H_CONSTS
#define H_CONSTS

#if defined(ARDUINO) && ARDUINO >= 100
  #include <Arduino.h>
#else
  #include <WProgram.h>
#endif

//#define DEBUG //comment in release

#define STAB_INTERVAL 3000 //stabilizing interval for voltage measuring

#ifdef DEBUG //button pin
  #define BPIN 8
#else
  #define BPIN 5
#endif

#ifdef DEBUG //rc pin
  #define RCPIN A0
#else
  #define RCPIN A7
#endif

#ifdef DEBUG //voltage pin
  #define VOLTPIN A5
#else
  #define VOLTPIN A6
#endif

#define LOWVOLT 1.74 //low voltage
#define KVOLTAGE 0.990

//1.022
char N = 6;
#ifdef DEBUG //light pins
  char pins[6] = {2, 3, 4, 5, 6, 7};
#else
  char pins[6] = {A0, A1, A2, A3, A4, A5};
#endif

#endif
